# imageSimilarityTest

## Description

Search in to our image similarity database for similar images.

## Parameters

| Parameter  | Type   | Description    |
| ---------- | ------ | -------------- |
| `imageUrl` | string | test image URL |

## Response

| Parameter  | Type   | Description                                                                                                                                                                                                                                                                                                       |
| ---------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `message`  | string | message about the response                                                                                                                                                                                                                                                                                        |
| `status`   | int    | <p>0 for no image found</p><p>1 for images found</p><p>-1 for any error occurs during the execution of the request</p>                                                                                                                                                                                            |
|            |        |                                                                                                                                                                                                                                                                                                                   |
| `metadata` | list   | list of object of the metadata associated with the found images                                                                                                                                                                                                                                                   |
| `img`      | object | <p>this object will contain four properties, they can be None<br>keyPoint1 and keyPoint2 will be the points matched between two images, the test image and the found image<br>matchedImg will be the comparative image of the two images in base64 format<br>score will be the similarity score of the search</p> |

## Example Request and Response

### Prerequisites

Before making requests with Volary SDK, you must have it installed.

You can install Volary SDK using either `npm` or `yarn`. Use the following commands to install Volary SDK:

```sh
npm install @nest25/ai-core-sdk
OR
yarn add @nest25/ai-core-sdk
```

## Request

Here is an example of how to make a `imageSimilarityTest` request using the Volary SDK:

```javascript
// import the ai-core-sdk
import {AIServices} from '@nest25/ai-core-sdk';

// create a new instance of the sdk
const aiServices = new AIServices();

async function main() {
  // get the result of the test
  const result = await aiServices.imageSimilarityTest('https://ik.imagekit.io/BIOSPHERE/1678716455079_PTj9bkO9d.jpeg');
  console.log(result);
}

main();
```

## Response

```json
{
    "img": {
        "keyPoint1": "None",
        "keyPoint2": "None",
        "matchedImg": "None",
        "score": 2.0
    },
    "message": "Similar image found.",
    "status": 0
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.volary.io/sdks-guide/ai-guide/image-similarity/imagesimilaritytest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
